Skip to main content
Back to API List This API deploys a specific tool into an environment. It allows the user to control the deployment process either synchronously or asynchronously, depending on the value of the isAsync parameter. The API response includes the tool ID and the tool deployment status. After receiving the response, use the dockStatusId to call the Get Dock Status API and verify the tool deployment status.
MethodPOST
Endpointhttps://{host}/api/public/tools/:{toolId}/deploy
Content Typeapplication/json
AuthorizationX-api-key - The API key used for authentication.
Where can I find the API key? To use the API, you will need an API key. Learn more.

Path Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
hostThe environment URL. For example, https://agent-platform.domain.ai/StringRequired
toolIdThe unique identifier of the tool being deployed.StringRequired

Sample Request

curl --location 'https://{host}/api/public/tools/a-0xxxxxxxxxxxxxxxxxxe/deploy' 
--header 'x-api-key: kg-axxxxxxx-5xx3-5xx8-bxxb-9xxxxxxxxxxxb-9xx5-cxxxxxxxxx3' 
--header 'Content-Type: application/json' 
--data '{
  "isAsync": false
}'

Body Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
isAsyncIndicates if the deployment is asynchronous (true) or synchronous (false).BooleanRequired

Sample Response

{
   "dock-statusId": "ds-cxxxxxx8-exx2-5xx7-9xx6-30xxxxxxxxxe",
   "toolId": "a-49xxxxx9-fxx9-5xx7-axx7-9xxxxxxxxxxb",
   "jobType": "TOOLS",
   "action": "DEPLOY",
   "status": "SUCCESS"
}

Response Parameters

PARAMETERDESCRIPTIONTYPE
dockStatusIdThe unique identifier for tracking the tool deployment.String
toolIdThe unique identifier of the tool being deployed.String
jobTypeThe type of job being performed (TOOLS).String
actionThe action being performed (DEPLOY).String
statusThe deployment status (SUCCESS, IN_PROGRESS, or FAILED).String